From 6ace826d5130d4eb4ab01892c92a07885bc18c38 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Tue, 22 Sep 2020 14:13:13 -0400
Subject: [PATCH 1/5] Remove "Build from Source" section on Linux package pages

The measured traffic patterns indicated that people wanting to
build from source were not getting to the source tarballs from
the Linux package pages, rather a) people on the package pages
wanted the pre-built packages and b) people who wanted source
code went directly to the source code from the main downloads
page.
---
 templates/pages/download/linux.html             | 1 -
 templates/pages/download/linux/debian.html      | 2 --
 templates/pages/download/linux/linux_source.inc | 6 ------
 templates/pages/download/linux/redhat.html      | 2 --
 templates/pages/download/linux/suse.html        | 2 --
 templates/pages/download/linux/ubuntu.html      | 2 --
 6 files changed, 15 deletions(-)
 delete mode 100644 templates/pages/download/linux/linux_source.inc

diff --git a/templates/pages/download/linux.html b/templates/pages/download/linux.html
index a2f67b5..b3aaae7 100644
--- a/templates/pages/download/linux.html
+++ b/templates/pages/download/linux.html
@@ -44,5 +44,4 @@ the documentation for your Linux distribution.
   <a href="/download/linux/ubuntu/">Ubuntu</a> and <a href="/download/linux/suse/">SUSE</a>
   pages, but can be expected to work on reasonably modern distributions in most cases.</p>
 
-{%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 8a4424a..fc27af6 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -155,6 +155,4 @@ the builtin repositories.
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/linux_source.inc b/templates/pages/download/linux/linux_source.inc
deleted file mode 100644
index 6eb406d..0000000
--- a/templates/pages/download/linux/linux_source.inc
+++ /dev/null
@@ -1,6 +0,0 @@
-<h2>Build from source</h2>
-<p>
-The source code can be found in the main <a href="/ftp/source/">file browser</a>.
-Instructions for building from source can be found in the
-<a href="/docs/current/installation.html">documentation</a>.
-</p>
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index 1fea1d4..786b3df 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -216,6 +216,4 @@ and manual installation as well.
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/suse.html b/templates/pages/download/linux/suse.html
index ccb598a..17f9b2d 100644
--- a/templates/pages/download/linux/suse.html
+++ b/templates/pages/download/linux/suse.html
@@ -67,6 +67,4 @@ to find suitable packages. Documentation is also available there.
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index f3823be..a2033b0 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -143,6 +143,4 @@ version number as required):
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
-- 
2.21.1 (Apple Git-122.3)

